syntax error in content_view_filter API docs causes apipie:cache warnings

07/03/2014 05:00 AM - Martin Bacovsky

Status: Closed   

Priority: Normal   

Assignee: Martin Bacovsky   

Category:    

Target version: Katello 2.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1115836 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1115836

Description of problem:

rake apipie:cache produces following warnings  | Maruku tells you:

+------------------------------------------------------------------------- | Could not find ref_id = "security, bugfix, enhancement" for md_link([ |      

md_entity("lsquo"), |       "security", |       md_entity("rsquo"), |       ", ", |       md_entity("lsquo"), |       "bugfix", |       md_entity("rsquo"), |

", ", |       md_entity("lsquo"), |       "enhancement", |       md_entity("rsquo") | ], nil) | Available refs are []

+-------------------------------------------------------------------------

!/home/mbacovsk/.gem/ruby/gems/maruku-0.7.1/lib/maruku/output/to_html.rb:656:in `to_html_link'

!/home/mbacovsk/.gem/ruby/gems/maruku-0.7.1/lib/maruku/output/to_html.rb:891:in `block in array_to_html'

!/home/mbacovsk/.gem/ruby/gems/maruku-0.7.1/lib/maruku/output/to_html.rb:879:in `each'

!/home/mbacovsk/.gem/ruby/gems/maruku-0.7.1/lib/maruku/output/to_html.rb:879:in `array_to_html'

\___________________________________________________________________________

Not creating a link for ref_id = "security, bugfix, enhancement".

The cause for this is syntax error in API docs

Version-Release number of selected component (if applicable):

Nightly

How reproducible:

Always

Steps to Reproduce:

1. run apipie:cache

2.

3.

Actual results:

warnings

Expected results:

no warnings

Additional info:

diff --git a/app/controllers/katello/api/v2/content_view_filters_controller.rb

b/app/controllers/katello/api/v2/content_view_filters_controller.rb

index 961e679..28bfe22 100644

--- a/app/controllers/katello/api/v2/content_view_filters_controller.rb

++ b/app/controllers/katello/api/v2/content_view_filters_controller.rb

@ -84,7 +84,7 @ class Api::V2::ContentViewFiltersController < Api::V2::ApiController

N_("Get errata that are available to be added to the filter")

param :content_view_id, :identifier, :desc => N_("content view identifier")

param :id, :identifier, :desc => N_("filter identifier"), :required => true
-  param :types, Array, :desc => N_("Errata types array ['security', 'bugfix', 'enhancement']")

param :types, Array, :desc => N_("Errata types array \\['security', 'bugfix', 'enhancement'\\]")

param :start_date, DateTime, :desc => N_("Start date that Errata was issued on to filter by")

param :end_date, DateTime, :desc => N_("End date that Errata was issued on to filter by")

def available_errata

[

Associated revisions

Revision f9a1a1a6 - 07/03/2014 05:10 AM - Martin Bacovsky

Fixes #6480 - Syntax error in param description

Revision bb149394 - 07/07/2014 10:15 AM - Justin Sherrill

Merge pull request #4384 from mbacovsky/6480_apidoc_typo

Fixes #6480 - Syntax error in param description

History

#1 - 07/03/2014 05:08 AM - Martin Bacovsky

- Category set to API

#2 - 07/03/2014 05:13 AM - Martin Bacovsky

- Status changed from New to Ready For Testing

#3 - 07/03/2014 05:13 AM - Martin Bacovsky

https://github.com/Katello/katello/pull/4384

#4 - 07/07/2014 04:14 AM - Dominic Cleal

- Project changed from Foreman to Katello

- Category changed from API to 106

- Triaged set to No

#5 - 07/07/2014 11:04 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|f9a1a1a621f0e24073691763ba697af62133cfc9.

#6 - 07/07/2014 11:20 AM - Eric Helms

- Target version set to 49

- Difficulty set to trivial

- Triaged changed from No to Yes

#7 - 08/22/2014 09:00 AM - Eric Helms

- translation missing: en.field_release set to 13
